Name:          kfs
Version:       0.5
Release:       1%{?dist}
Summary:       Kosmos Distributed Filesystem
Group:         Development/Libraries
License:       ASL 2.0
Url:           http://code.google.com/p/kosmosfs/
# see https://github.com/quantcast/qfs
Source0:       http://kosmosfs.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:       %{name}-template.pom
Patch0:        %{name}-%{version}-javadoc.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant

%if 0
BuildRequires: boost-devel
BuildRequires: cmake
BuildRequires: fuse-devel
BuildRequires: log4cpp-devel
BuildRequires: xfsprogs-devel
%endif

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Kosmos distributed file system (KFS) provides high performance
combined with availability and reliability. It is intended to
be used as the back-end storage infrastructure for data intensive
apps such as, search engines, data mining, grid computing etc.

KFS has been deployed in production settings on large clusters to
manage multiple petabytes of storage.

KFS is implemented in C++ using standard system components such as
STL, boost libraries, AIO, log4cpp.

KFS is integrated with Hadoop and Hypertable.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      jpackage-utils
BuildArch:     noarch

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

find -name "*.class" -delete
find -name "*.jar" -delete

mkdir -p build/lib
%patch0 -p0
cp -p %{SOURCE1} %{name}.pom
sed -i "s|@version@|%{version}|" %{name}.pom

%build

%ant jar javadoc
%if 0
sed -i "s|/usr/lib|%{_libdir}|" CMakeLists.txt
sed -i "s|set(Boost_USE_STATIC_LIBS   ON)|set(Boost_USE_STATIC_LIBS   OFF)|" CMakeLists.txt
cd build
%cmake ..
sed -i "s|-pthread|-lpthread|" $(find . -name "Makefile")
make %{?_smp_mflags} LDFLAGS="$LDFLAGS -lpthread -lrt"
%endif

%install

%if 0
make install/fast DESTDIR=%{buildroot} -C build
%endif

mkdir -p %{buildroot}%{_javadir}
install -pm 644 build/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{name}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp build/docs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE.txt README.txt doc examples

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt

%changelog
* Mon Oct 01 2012 gil cattaneo <puntogil@libero.it> 0.5-1
- initial rpm